# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Blowfish.pm) perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-EncryptID
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Obfuscate IDs/string in URLs
Group: Development/Perl
License: artistic_2
URL: http://perldancer.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHARDIWAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module makes easy to obfuscate internal IDs when using them in a URL given to users.
Instead of seeing http://example.com/item/42
users will see http://example.com/item/c98ea08a8e8ad715 .
This will prevent nosy users from trying to iterate all items based on a simple ID in the URL.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

